{ config, pkgs, ... }:

{
  imports =
    [];

  home.username = "lukas";
  home.homeDirectory = "/home/lukas";
  home.stateVersion = "23.11";

  # set several gnome settings options
  dconf.settings = {
    "org/gnome/desktop/interface" = {
        color-scheme = "prefer-dark";
        enable-hot-corners = true;
    };
    "org/gnome/mutter" = {
        dynamic-workspaces = true;
        edge-tiling = true;
    };
  };

  # nautilus settings
  dconf.settings = {
    "org/gnome/nautilus/preferences" = {
      default-folder-viewer = "list-view";
    };
    "org/gnome/nautilus/list-view" = {
        default-zoom-level = "small";
    };
  };
}